%global pypi_name imageio

Name:           python-%{pypi_name}
Version:        2.9.0
Release:        1%{?dist}
Summary:        Python library for reading and writing image data
License:        BSD
URL:            http://imageio.github.io/
Source0:        http://pypi.io/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Imageio is a Python library that provides an easy interface to read
and write a wide range of image data, including animated images,
volumetric data, and scientific formats.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Python library for reading and writing image data
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Imageio is a Python library that provides an easy interface to read
and write a wide range of image data, including animated images,
volumetric data, and scientific formats.
This is the Python 3 build of %{pypi_name}.


%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %%{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md docs
%license LICENSE
%{_bindir}/%{pypi_name}_download_bin
%{_bindir}/%{pypi_name}_remove_bin
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Sun May 09 2021 Jean-Marc Liger <ligenix@iscp.fr> 2.9.0-1
- Update to 2.9.0

* Sun May 09 2021 Jean-Marc Liger <ligenix@iscp.fr> 2.6.1-1
- Import from OpenMandriva
- Rename python3-%{pypi_name} to %{python3_pkgversion}-%{pypi_name}
